<ion-header>

</ion-header>


<ion-content padding>

  <!-- USER NOT LOGGED -->
  <div *ngIf="curUser == null">

    <div class="logo_login">
        <img src="/assets/imgs/logo.png">
    </div>
    
    <div class="error_message">
      {{error_message}}
    </div>

    <div class="content_login">
      <ion-item class="username input_login">
        <ion-input type="text" placeholder="Indirizzo Mail" [(ngModel)]="loginuser.email"></ion-input>
      </ion-item>

      <ion-item class="password input_login">
        <ion-input type="password" placeholder="Password" [(ngModel)]="loginuser.password"></ion-input>
      </ion-item>
      <p class="description_password">La password deve essere almeno sei caratteri</p>
      

      <button class="login_button login_general" ion-button (click)=login(loginuser)>Accedi</button>

      <button class="login_facebook login_button" ion-button><ion-icon name="logo-facebook"></ion-icon>Accedi con Facebook</button>
      <button class="login_google login_button" ion-button><ion-icon name="logo-google"></ion-icon>Accedi con Google</button>
      <p class="register_message">Se ancora non hai un account <a href="#" (click)=register()>Registrati</a></p>
    </div>
  </div>  

  <!-- USER LOGGED -->
  <div *ngIf="curUser != null">
      <h3 ion-text [color]="dynamicColor">Benvenuto {{curUser.nick}}</h3>
      <h3 ion-text [color]="dynamicColor">Lista Attività</h3>
      <ion-item *ngFor="let item of userSrv.activityList">
          
                <ion-thumbnail item-start>
                  <img src="{{item.image}}">
                </ion-thumbnail>
                <h2>{{ item.local }}</h2>
                <p>{{ activity.formatDate(item.schedule.date) }}</p>
                <button ion-button clear item-end (click)="showActivity(item)">Scegli</button>
      
      </ion-item>  

      <button color="light" ion-button (click)=signout()>Sign out</button>
  </div>

  

</ion-content>
